
GOVERS="1.19"

printf "===BUILDING GO AT $GOVERS===\n"

cd lib/go

for d in */ ; do
	printf "tidying m-go$d...\n"
	cd "$d"
	go mod tidy -go=$GOVERS
	cd ..
done

cd ../..

cd application/go

for d in */ ; do
	printf "building m-go$d...\n"
	cd "$d"
	go mod tidy -go=$GOVERS
	go install
	cd ..
done

cd ../..

printf "===FINISHED BUILDING GO===\n"
