/*	mendpoints.go - M.A.R-T>Y. Go application endpoint constant definitions
	Copyright (C) 2023-2024 hoff.industries

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <https://www.gnu.org/licenses/>. */

package mendpoints

const (

	ALARM_EPT_ACT int = 0
	ALARM_EPT_DAC int = 1
	ALARM_EPT_SUB int = 2

	RADIO_EPT_LOW int = 0
	RADIO_EPT_NORMAL int = 1
	RADIO_EPT_CRITICAL int = 2

	SWIPER_EPT_CYCLE int = 0

	VOODOO_EPT_SLEEP int = 0
	VOODOO_EPT_SHUTDOWN int = 1
	VOODOO_EPT_WAKE int = 2

	MARQTT_EPT_SUBSCRIBE int = 0
	MARQTT_EPT_UNSUBSCRIBE int = 1
	MARQTT_EPT_PUBLISH int = 2

	MARTSS_EPT_EVENT int = 0
	MARTSS_EPT_APPEND int = 1
	MARTSS_EPT_SKIP int = 2
	MARTSS_EPT_RESCHEDULE int = 3

)

